body.blog,
body.archive.category {
    background: #efefef;
    color: #000;
    background: url(../img/blogi_taust2.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

h2.screen-reader-text {
    display: none;
}

.blog-post-footer .navigation {
    border-top: 1px solid #efefef;
    margin-top: 30px;
    padding-top: 30px;
}

.blog-post-footer .form-submit {
    display: none;
} /* no longer needed since WP 4.1 */
.blog-post-footer {
    padding-bottom: 30px;
    margin-bottom: 30px;
}
ol.comment-list {
    margin: 0;
    padding: 0;
    text-transform: none;
    font-size: 17px;
}
ol.comment-list li.depth-1 {
    padding: 20px;
    border: 3px dashed #efefef;
    margin-bottom: 20px;
    list-style: none;
}
ol.comment-list li {
    border-top: 2px solid #efefef;
    padding-top: 20px;
    padding-left: 20px;
    margin-top: 20px;
}
ol.comment-list .comment-author {
    font-weight: 600;
}

.blog-post-footer .nav-links a {
    text-decoration: none;
    font-size: 14px;
    margin-bottom: 20px;
    display: inline-block;
    text-transform: none;
    background: #efefef;
    padding: 10px 20px;
    color: #333;
}

.blog-post-footer .post-title {
    font-weight: 600;
}

.navigation.post-navigation {
    margin-bottom: 50px;
}
.navigation.post-navigation div {
    display: inline-block;
    margin-right: 30px;
}

.navigation.pagination a,
.navigation.post-navigation a, 
.navigation.pagination span {
    display: inline-block;
    background: #000;
    color: #fff;
    padding: 10px 18px;
    text-transform: none;
    text-align: center;
    -o-transition:.2s;
    -ms-transition:.2s;
    -moz-transition:.2s;
    -webkit-transition:.2s;
    transition:.2s;
}
.navigation.pagination a:hover {
    background: #666;
}
.navigation.pagination span {
    background: #fff;
    color: #000;
    border: 1px solid #ccc;
    cursor: default;
}
.navigation.pagination .screen-reader-text{ display: none }
.screen-reader-text { display: none; }

h1.blog-title {
    margin-bottom: 20px;
    margin-top: 95px;
    padding: 20px 0;
    color: #666;
    font-size: 35px;
}
.blog-categories {
    background: #fff;
    border-bottom: 2px solid #eee;
    padding: 20px 0;
}

.blog-categories img {
  height: 40px;
}
.blog-categories a:hover img {
    filter: none;
}
.blog-categories a {
    color: #000;
    text-decoration: none;
}
.social-share {
    border-bottom: 1px solid #ccc;
    padding-bottom: 20px;
    margin-bottom: 50px;
}
.blog-post-footer textarea,
.blog-post-footer input {
    border-radius: 0;
}
.post-images {
    text-align: center;
    margin-bottom: 50px;
    padding-bottom: 50px;
    border-bottom: 1px solid #ccc;
}
.post-image {
    margin-bottom: 40px;
}
.post-image img {
    max-width: 100%;
}
.blog-categories .blog-category {
    
}
.blog-categories .blog-category.current-category {

}
.blog-categories .blog-category.current-category .blog-category-title {
    font-weight: bold !important;
}
.blog-categories .col-md-3:first-child .blog-category {
    border-left: 0;
}
.blog-categories .col-md-3 {
    padding: 0 !important;
}
.blog-category-title {
    text-transform: uppercase;
    font-size: 18px;
    padding-top: 10px;
    margin-top: 10px;
    color: #000;
}

.blog-post-box {
    height: 450px;
    overflow: hidden;
    width: 100%;
    text-transform: none;
    color: #000;
    padding: 40px;
    border-right: 0px solid #d0d0d0;
    border-bottom: 0px solid #d0d0d0;
    -o-transition:.2s;
    -ms-transition:.2s;
    -moz-transition:.2s;
    -webkit-transition:.2s;
    transition:.2s;
}

.blog-post-box.post-per-row {
    height: auto;
    overflow: visible;
    border-bottom: 0px dashed #d0d0d0;
    margin-bottom: 20px;
    background: rgba(255,255,255,1.0);
    -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
-moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
}

.blog-post-box.post-per-row h2 {
    font-size: 26px;
    font-weight: 600;
    margin-bottom: 10px;
    padding-bottom: 0;
}
.blog-post-box.post-per-row .post-date {
    color: #666;
    font-size: 14px;
    margin-bottom: 10px;
}
.blog-post-box .btn-inverse {
    background: #333;
    color: #fff;
    margin-top: 20px;
    font-weight: 300;
    font-size: 16px;
    padding: 8px 40px;
    -o-transition:.2s;
    -ms-transition:.2s;
    -moz-transition:.2s;
    -webkit-transition:.2s;
    transition:.2s;
}
.blog-post-box .category-tags {
    min-height: 300px;
    border-left: 1px solid #ccc;

}
.blog-post-box .category-tag .category-name {
    margin-top: 20px;
    font-size: 15px;
    color: #666;
    font-weight: 600;
    margin-bottom: 30px;
}
.blog-post-box:hover .btn-inverse {
    background: #000;
}
.blog-post-box.post-per-row {
    font-size: 16px;
}
.article-container a {
    text-decoration: none;
}

.blog-post-box:hover {
    background: #fff;
}
.article-container .col-xl-4 {
    padding: 0;
}
.article-container .col-xl-4:nth-child(3n+3) .blog-post-box {  
    border-right: 0;
}
@media (min-width: 800px) {
	.blog-categories .col-md-2 {
		width: 20%;
		border-left: 1px solid #ccc;
	}
}
@media (min-width: 1400px) {
    .article-container.container {
        max-width: 1400px;
        width: 1400px;
    }
	
}
@media (max-width: 800px) {
    .blog-categories .blog-category {
	    border-left: 0;
	    margin-top: 20px;
	    padding-top: 20px;
	    border-top: 1px solid #ccc;
	}
}

.blog-post-box div.header {
    width: 100%;
    height: 246px;
    position: relative;
    background: #ccc;
    background-repeat: no-repeat;
    background-position: 50% 30%;
    background-size: cover;
}

.post-category-label {
    position: absolute;
    left: -10px;
    top: 40px;
    background: #000;
    padding: 8px 10px;
    color: #eee;
}


.blog-post-box h2 {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 0;
    padding-bottom: 0;
}
.blog-post-box .post-date {
    color: #666;
    font-size: 11px;
    margin-bottom: 5px;
}

.blog-heading {
    width: 100%;
    height: 500px;
    position: relative;
    background: #ccc;
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.blog-post-title h1 {
    margin-top: 100px;
    margin-bottom: 30px;
    font-size: 35px;
    text-transform: none;
    border-bottom: 1px solid #efefef;
    padding-bottom: 30px;
}
.blog-post-content {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #efefef;
    text-transform: none;
    line-height: 30px;
    font-size: 18px;
}

@media (min-width: 500px) {
    .article-container .col-xl-4:nth-child(3n+3) .blog-post-box {  
        border-right: 1px solid #d0d0d0;
	}
}


/*
*   CSS file with Bootstrap grid classes for screens bigger than 1600px. Just add this file after the Bootstrap CSS file and you will be able to juse col-xl, col-xl-push, hidden-xl, etc.
*
*   Author: Marc van Nieuwenhuijzen
*   Company: WebVakman
*   Site: WebVakman.nl
*
*/

@media (min-width: 1200px) and (max-width: 1599px) {
    .hidden-lg {
        display: none !important;
    }
}


.visible-xl-block,
.visible-xl-inline,
.visible-xl-inline-block,
.visible-xl{
    display: none !important;
}



@media (min-width: 1600px) {
    .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12 {
        float: left;
    }

    .col-xl-12 {
        width: 100%;
    }

    .col-xl-11 {
        width: 91.66666667%;
    }

    .col-xl-10 {
        width: 83.33333333%;
    }

    .col-xl-9 {
        width: 75%;
    }

    .col-xl-8 {
        width: 66.66666667%;
    }

    .col-xl-7 {
        width: 58.33333333%;
    }

    .col-xl-6 {
        width: 50%;
    }

    .col-xl-5 {
        width: 41.66666667%;
    }

    .col-xl-4 {
        width: 33.33333333%;
    }

    .col-xl-3 {
        width: 25%;
    }

    .col-xl-2 {
        width: 16.66666667%;
    }

    .col-xl-1 {
        width: 8.33333333%;
    }

    .col-xl-pull-12 {
        right: 100%;
    }

    .col-xl-pull-11 {
        right: 91.66666667%;
    }

    .col-xl-pull-10 {
        right: 83.33333333%;
    }

    .col-xl-pull-9 {
        right: 75%;
    }

    .col-xl-pull-8 {
        right: 66.66666667%;
    }

    .col-xl-pull-7 {
        right: 58.33333333%;
    }

    .col-xl-pull-6 {
        right: 50%;
    }

    .col-xl-pull-5 {
        right: 41.66666667%;
    }

    .col-xl-pull-4 {
        right: 33.33333333%;
    }

    .col-xl-pull-3 {
        right: 25%;
    }

    .col-xl-pull-2 {
        right: 16.66666667%;
    }

    .col-xl-pull-1 {
        right: 8.33333333%;
    }

    .col-xl-pull-0 {
        right: auto;
    }

    .col-xl-push-12 {
        left: 100%;
    }

    .col-xl-push-11 {
        left: 91.66666667%;
    }

    .col-xl-push-10 {
        left: 83.33333333%;
    }

    .col-xl-push-9 {
        left: 75%;
    }

    .col-xl-push-8 {
        left: 66.66666667%;
    }

    .col-xl-push-7 {
        left: 58.33333333%;
    }

    .col-xl-push-6 {
        left: 50%;
    }

    .col-xl-push-5 {
        left: 41.66666667%;
    }

    .col-xl-push-4 {
        left: 33.33333333%;
    }

    .col-xl-push-3 {
        left: 25%;
    }

    .col-xl-push-2 {
        left: 16.66666667%;
    }

    .col-xl-push-1 {
        left: 8.33333333%;
    }

    .col-xl-push-0 {
        left: auto;
    }

    .col-xl-offset-12 {
        margin-left: 100%;
    }

    .col-xl-offset-11 {
        margin-left: 91.66666667%;
    }

    .col-xl-offset-10 {
        margin-left: 83.33333333%;
    }

    .col-xl-offset-9 {
        margin-left: 75%;
    }

    .col-xl-offset-8 {
        margin-left: 66.66666667%;
    }

    .col-xl-offset-7 {
        margin-left: 58.33333333%;
    }

    .col-xl-offset-6 {
        margin-left: 50%;
    }

    .col-xl-offset-5 {
        margin-left: 41.66666667%;
    }

    .col-xl-offset-4 {
        margin-left: 33.33333333%;
    }

    .col-xl-offset-3 {
        margin-left: 25%;
    }

    .col-xl-offset-2 {
        margin-left: 16.66666667%;
    }

    .col-xl-offset-1 {
        margin-left: 8.33333333%;
    }

    .col-xl-offset-0 {
        margin-left: 0;
    }

    .visible-xl {
        display: block !important;
    }

    table.visible-xl {
        display: table;
    }

    tr.visible-xl {
        display: table-row !important;
    }

    th.visible-xl, td.visible-xl {
        display: table-cell !important;
    }

    .visible-xl-block {
        display: block !important;
    }

    .visible-xl-inline {
        display: inline !important;
    }

    .visible-xl-inline-block {
        display: inline-block !important;
    }

    .hidden-xl {
        display: none !important;
    }
}

